! @(#)irsgcoord.prg	17.1.1.1 (ES0-DMD) 01/25/02 17:29:56
! @(#)irsgcoord.prg	17.1.1.1 (ESO-ASD) 01/25/02 17:29:56
!+++++++++++++++++++++++++++++++++++++++++++++++++++++++
!.COPYRIGHT   (C) 1993 European Southern Observatory
!.IDENT       irsgcoord.prg
!.AUTHORS     Cristian Levin   (ESO/La Silla)
!.KEYWORDS    XIrspec
!.PURPOSE     
!      Get coordinates from the display window.
!      Command:
!         @g irsgcoord  number_of_coords
!.VERSION     1.0  Package Creation  17-MAR-1993  
!-------------------------------------------------------
!
define/par p1 1 N  "Number of coordinates : "
define/par p2 ? C  "Output table          : "
define/maxpar   2
!
if 'dazdevr(10)' .eq. -1 then
    write/out "*** Please create the display window and load an image ***"
    return/exit
endif
!
get/curs 'p2' ? ? 'p1',1
comp/tab 'p2' :y_wcoord = 1.0 + (:y_coord - '{idimemc},start(2)') / '{idimemc},step(2)'
